Subject: Re: [PATCH] add -p: warn if only binary changes present

From: SZEDER Gábor <[email-masked]>
Date: Sun, 26 Oct 2008 11:40:06 +0100

On Sun, Oct 26, 2008 at 12:28:09PM +0200, Thomas Rast wrote:
> Jeff King wrote:
> > > +			print STDERR "No changes except to binary files.\n";
> >   No changed text files.
> I tried to make a more precise statement.  "No changed text files"
> also holds if no files at all were changed.  A user can only infer
> that there _are_ binary changes if he knows that the message in the
> latter case would have been "No changes".
> 
> That being said, it is somewhat awkward, I just couldn't come up with
> a better message with this meaning.
What about

   Only binary files changed.

or something of the sort?

Gábor